Package com.independentsoft.office.drawing

# Class NormalAutoFit

java.lang.Object
com.independentsoft.office.drawing.NormalAutoFit

public class NormalAutoFit extends Object
The Class NormalAutoFit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NormalAutoFit()`
  Instantiates a new normal auto fit.
  `NormalAutoFit​(double fontScale, double lineSpaceReduction)`
  Instantiates a new normal auto fit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NormalAutoFit`
  `clone()`
  `double`
  `getFontScale()`
  Gets the font scale.
  `double`
  `getLineSpaceReduction()`
  Gets the line space reduction.
  `void`
  `setFontScale​(double fontScale)`
  Sets the font scale.
  `void`
  `setLineSpaceReduction​(double lineSpaceReduction)`
  Sets the line space reduction.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NormalAutoFit

    public NormalAutoFit()
    Instantiates a new normal auto fit.

  - ### NormalAutoFit

    public NormalAutoFit​(double fontScale, double lineSpaceReduction)
    Instantiates a new normal auto fit.
    Parameters:
      `fontScale` - the font scale
      `lineSpaceReduction` - the line space reduction

- ## Method Details

  - ### clone

    public NormalAutoFit clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFontScale

    public double getFontScale()
    Gets the font scale.
    Returns:
      the font scale

  - ### setFontScale

    public void setFontScale​(double fontScale)
    Sets the font scale.
    Parameters:
      `fontScale` - the new font scale

  - ### getLineSpaceReduction

    public double getLineSpaceReduction()
    Gets the line space reduction.
    Returns:
      the line space reduction

  - ### setLineSpaceReduction

    public void setLineSpaceReduction​(double lineSpaceReduction)
    Sets the line space reduction.
    Parameters:
      `lineSpaceReduction` - the new line space reduction